Package oracle.dbtools.plugin.api.errors

## Class ProductErrorMessage.Identifier

- java.lang.Object
- - oracle.dbtools.plugin.api.errors.ProductErrorMessage.Identifier

- All Implemented Interfaces:
    `java.lang.Comparable<ProductErrorMessage.Identifier>`
  Enclosing class:
    ProductErrorMessage

      public static class ProductErrorMessage.Identifier
      extends java.lang.Object
      implements java.lang.Comparable<ProductErrorMessage.Identifier>

  Represents the unique identifier for a `ProductErrorMessage`
  Author:
    cdivilly

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(ProductErrorMessage.Identifier o)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `ProductErrorMessage` | `errorMessage​(Translatable message, Translatable cause, Translatable action)` | Produce a `ProductErrorMessage` instance for this error code
    `int` | `hashCode()` |
    `static ProductErrorMessage.Identifier` | `of​(java.lang.CharSequence prefix, int code)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### errorMessage

          public ProductErrorMessage errorMessage​(Translatable message,
                                                  Translatable cause,
                                                  Translatable action)

      Produce a `ProductErrorMessage` instance for this error code
      Parameters:
        `message` - The error
        `cause` - The cause of the error
        `action` - The action to take to address the error
      Returns:
        `ProductErrorMessage`

    - #### of

          public static ProductErrorMessage.Identifier of​(java.lang.CharSequence prefix,
                                                          int code)

    - #### compareTo

          public int compareTo​(ProductErrorMessage.Identifier o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ProductErrorMessage.Identifier>`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`